// FileData.java
// $Id: FileData.java,v 1.3 2000/12/15 12:40:30 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 2000.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.jwput.gui.webdav;

import java.util.*;

/**
 * @version $Revision: 1.3 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class FileData {

    protected long    lastmodified = -1;
    protected long    length       = -1;
    protected boolean isCollection = false;
    protected boolean isLocked     = false;
    protected String  name         = null;
    protected String  display      = null;
    protected String  type         = null;
    protected Vector  children     = null;

    protected Object  node         = null;

    public FileData(long lastmodified, 
		    long length, 
		    boolean isCollection,
		    boolean isLocked,
		    String name,
		    String display,
		    String type,
		    Vector children) 
    {
	this.lastmodified = lastmodified;
	this.length       = length;
	this.isCollection = isCollection;
	this.isLocked     = isLocked;
	this.name         = name;
	this.display      = display;
	this.type         = type;
	this.children     = children;
    }
    
    public boolean hasNode() {
	return (node != null);
    }

    public void setNode(Object node) {
	this.node = node;
    }

    public Object getNode() {
	return node;
    }

}
